[Yum] yum 3.0.4 released

Fajar A. Nugraha fajar at fajar.net
Thu Mar 8 03:11:43 UTC 2007


seth vidal wrote:
> Hi folks,
>  Yum 3.0.4 is available

> 
> Let us know what breaks,

Hi,

Testing yum-3.0.4 to install package that is not in repository gives
this error message (last part only):
No Match for argument: beryl-manager-snapshot
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 94, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 381, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self,
self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 134, in doCommand
    return base.installPkgs(extcmds)
  File "/usr/share/yum-cli/cli.py", line 554, in installPkgs
    self.pkgSack.matchPackageNames(arglist)
  File "packageSack.py", line 347, in matchPackageNames
  File "sqlitesack.py", line 522, in matchPackageNames
ValueError: list.remove(x): x not in list

when yum-3.0.3 exits nicely :
No Match for argument: beryl-manager-snapshot
Nothing to do

Also, just FYI, I found out that python-sqlite is still needed for
yum-3.0.x on pyhton-2.5. It compiles just fine without it, but it
complains "Could not find any working storages" when you run it later.

Using opensuse 10.2, python-2.5-19.2, python-sqlite-1.1.8-11.

Regards,

Fajar



More information about the Yum mailing list